ValueRemapOp Class Referenceabstract

The ValueRemapOp class is used when shader-like calculations need to be applied to individual fields that are part of a FieldGroup. Use FieldGroup::setValueRemap() to set the current op before loading the corresponding fields. Then, once lookups take place, the operator is called upon to remap the resulting values. More...

`#include <FieldWrapper.h>`

## Public Types

typedef boost::shared_ptr< ValueRemapOp > | Ptr

## Public Member Functions

virtual float | remap (const float value) const =0
| Remaps a float value.
virtual V3f | remap (const V3f &value) const =0
| Remaps a V3f value.

## Detailed Description

The ValueRemapOp class is used when shader-like calculations need to be applied to individual fields that are part of a FieldGroup. Use FieldGroup::setValueRemap() to set the current op before loading the corresponding fields. Then, once lookups take place, the operator is called upon to remap the resulting values.

Note
  The class is not templated, and it needs to handle both scalar and vector values.

Definition at line 39 of file FieldWrapper.h.

## Member Typedef Documentation

## Ptr

typedef boost::shared_ptr<ValueRemapOp> ValueRemapOp::Ptr

Definition at line 45 of file FieldWrapper.h.

## Member Function Documentation

## remap() [1/2]

virtual float ValueRemapOp::remap | ( | const float | value | ) | const

pure virtual

Remaps a float value.

## remap() [2/2]

virtual V3f ValueRemapOp::remap | ( | const V3f & | value | ) | const

pure virtual

Remaps a V3f value.

The documentation for this class was generated from the following file:

- export/FieldWrapper.h